//
//  OnlyForPremierView.swift
//
//
//  Created by Victor on 19/06/2024.
//

import SwiftUI

struct OnlyForPremierView: View {
    
    var body: some View {
        VStack(spacing: 8) {
            VStack(alignment: .leading, spacing: 8) {
                SQText("Réservé aux abonnés Premier")
                    .sqSize(18)
                    .sqFont(.bold)
                SQText("Seuls les abonnés Premier peuvent profiter de cette fonctionnalité.")
            }
            SQButton( "Découvrir l’abonnement Premier") {

            }
            .sqColorScheme(.orange)
        }
        .frame(maxWidth: .infinity)
    }
}

#Preview {
    OnlyForPremierView()
}
